Product:	JDS Labs Element III 
Firmware:	v2.3.2
Filename:	element_iii_v2.3.2-upgrade.bin
MD5 hash: d1153b1960b94cb960f2af25f228f275

# GENERAL INFORMATION & KNOWN LIMITATIONS
- A direct connection to a USB 2.0/3.0 port is required. USB hubs and some Type C or USB 3.1 ports may prevent DFU communication.
- Only connect one (1) JDS Labs DAC at a time.
- Element III will boot into "UPGRADE" mode during an update and automatically restart upon completion.
- In the rare event that an update fails, it is safe to power cycle your Element III. The DAC will fallback to factory firmware.
- Please reach out to jdslabs.com/support if you are unable to upgrade and we will be glad to assist further.

# WARNING
The Device Firmware Update (DFU) tools only check for a valid JDS Labs USB Vendor and Product ID before loading firmware to your DAC. 
The update tools do *not* check the .bin file you supply, nor can they check that the DAC matches the .bin file you provide. 
Thus, please triple check that you are loading the right firmware for the right model!

If you accidentally load firmware for the wrong JDS Labs DAC, you can likely recover by flashing the intended firmware. 
If not, please reach out to jdslabs.com/support

# WINDOWS 10/11 INSTALLATION
Please use the latest XMOS Driver and XMOS Firmware Update Utility (DFU) found at:
https://jdslabs.com/support/drivers/


# MAC OR LINUX INSTALLATION
Please refer to:
https://github.com/jdslabs/xmos_dfu

Additional detail and installation guidance for all operating systems can be found at:
https://blog.jdslabs.com/how-to-install-an-xmos-firmware-update/


# CHANGELOG

## 14-Feb-2023: v2.3.2
* Full revamp of muting logic
    - Fix: Ignore sampling rates changes of inactive input stream
    - Fix: SPDIF mutes across gain changes when USB Muting is enabled
    - Eliminate unnecessarymute writes to DAC
* Changed default value of "Mute Inactive USB = Enabled"
* Send I2C Stop Bit upon error and added reset count to status screen
    Note zero events observed in 3000+ operation hours

## 04-Nov-2022: v2.2.3
* Feature: Added "Mute Inactive USB" to options menu
    - Disabled [Default]: Preferred for Windows or macOS
    - Enabled: Preferred for Linux or Android to eliminate "alien sounds"
      while rebooting or suspending `pulse` or `pipewire`.
* Added 15ms settling time after OLED init to increase I2C integrity.

## 25-Mar-2022: v2.2.0
* Feature: Added "Knob Button" to the options menu, configurable as:
    - Toggle Input [Default]
    - Toggle Output [Note: Requires bootloader dated 14-March-2022]
    - Mute (USB only)
    - Mute (SPDIF only)
* Feature: Added "USB Audio Class" to menu, with options UAC2 or UAC1.
* Improved UAC1 descriptors to support Nintendo Switch
* Fix: Allow output mode changes while in the options menu.
* Improvement: Increased DAC synchronization rate from 100ms to 5ms to 
  improve recovery time in case of ESD or similar disruptions.

## 17-Feb-2022: v2.1.0
* Added "Auto Gain Speed" menu option with "Default" and "Aggressive"
* Implemented "Aggressive" transition with 2 intermediate encoder counts
  before switching gain.  Removed the gain transition progress bar in
  this mode, as 2 segments gave an odd impression on the display.
* Moved Screen Timeout "NEVER" to end of selections
* Resolved issue that doesn't clear rate during stream standby: In
  non-standby LED modes, the rate was not being cleared in USB mode
  when the stream was inactive beyond the standby period. This resulted
  in rates being displayed indefinitely in these modes, even in the
  long-term absence of an active stream. Now the rate is cleared after
  5 minutes of inactivity in any LED mode.
* Renamed options:
	"ENCODER STEPS" --> "VOLUME STEPS"
	"ENCODER RESOLUTION" --> "KNOB SPEED"
* Corrected S/PDIF De-emphasis behavior: Only apply de-emphasis if the 
  S/PDIF stream indicates to do so and the current input mode is S/PDIF.
  Updated S/PDIF de-emphasis options to 'OFF' and 'AUTO', defaulting to 
  'OFF'. Added logic to force S/PDIF De-emphasis to 'OFF' upon an upgrade 
  from <= v2.0.9. In all other instances (including any time the input 
  mode is USB), de-emphasis is off.

## 31-Jan-2022: v2.0.9:	Initial release

## <=v2.0.7: Pre-production releases